@ echo off
cls
echo 
echo.------------------------------------------
echo. This is the Death Match installer for
echo. The New Breed for Doom2 ver. 1.9 only
echo.------------------------------------------
echo.
choice "Do you wish to continue?"
if errorlevel=2 goto end
if errorlevel=1 goto letsrock

:letsrock
cls
echo.
echo. This may take a minute. 
echo. 
echo. Please stand by.......
echo.
ren doom2.exe breedtmp.exe
ren breed.exe doom2.exe

REM ============================================
REM = To add your own maps for death math play =
REM =  change the following lines just below   =
REM ============================================
REM     Change:
REM     deusf -merge newbreed\newbreed.wad
REM     To both lines:
REM     deusf -merge <yourmap>.wad newbreed\newbreed.wad
REM     deusf -merge newbreed\newbreed.wad
REM
REM     This will merge your map into NEWBREED.WAD
REM     and then merge NEWBREED.WAD into DOOM2.WAD
REM     Also change the next paragraph below to clean
REM     up the WADs correctly.

deusf -merge newbreed\newbreed.wad

setup
cls
echo. 
echo. Restoring Doom2.wad and Doom2.exe.
echo.
echo. Please stand by.......
echo.
ren doom2.exe breed.exe
ren breedtmp.exe doom2.exe

REM ============================================
REM = To add your own maps for death math play =
REM =  change the following lines just below   =
REM ============================================
REM     Change:
REM     deusf -restore doom2.wad
REM     To both lines:
REM     deusf -restore doom2.wad
REM     deusf -restore newbreed\newbreed.wad
REM
REM     This will clean DOOM2.WAD, then clean NEWBREED.WAD.

deusf -restore doom2.wad

cls

echo. 
echo. Thank you for playing The New Breed
echo. Death Match style. I hope you enjoyed
echo. playing this as much as I had making
echo. it for you!! 
echo.
echo. Email andyboy@mindspring.com for comments, 
echo. bugs, suggestions, praises or burns.
echo. 
exit

:end
echo. 
echo. Oh, ok. I hope you try The New Breed DM style soon!!
echo. You really don't know what you're missing!
echo.
exit
